Bug 170147 - games/bastet: Update to version 0.43
Summary: games/bastet: Update to version 0.43
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Martin Wilke
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-07-25 19:10 UTC by tkato432
Modified: 2012-08-05 09:20 UTC (History)
0 users

See Also:


Attachments
file.diff (7.06 KB, patch)
2012-07-25 19:10 UTC, tkato432
no flags Details | Diff
games_bastet.diff (7.21 KB, patch)
2012-07-28 18:58 UTC, tkato432
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description tkato432 2012-07-25 19:10:11 UTC
- Update to version 0.43
Comment 1 Edwin Groothuis freebsd_committer 2012-07-25 19:11:29 UTC
Responsible Changed
From-To: freebsd-ports-bugs->miwi

miwi@ wants his PRs (via the GNATS Auto Assign Tool)
Comment 2 Martin Wilke freebsd_committer 2012-07-28 06:50:17 UTC
State Changed
From-To: open->feedback

fail on 64bit 
http://tb.smeets.im/tb/index.php?action=describe_port&id=2329
Comment 3 tkato432 2012-07-28 18:58:12 UTC
Here is the corrected patch.
Comment 4 Martin Wilke freebsd_committer 2012-08-05 09:13:27 UTC
State Changed
From-To: feedback->closed

Committed. Thanks!
Comment 5 dfilter service freebsd_committer 2012-08-05 09:13:32 UTC
Author: miwi
Date: Sun Aug  5 08:13:22 2012
New Revision: 302089
URL: http://svn.freebsd.org/changeset/ports/302089

Log:
  - Update to 0.43
  
  PR:		170147
  Submitted by:	Ports Fury

Deleted:
  head/games/bastet/files/patch-Makefile
  head/games/bastet/files/patch-bast.c
  head/games/bastet/files/patch-game.c
Modified:
  head/games/bastet/Makefile   (contents, props changed)
  head/games/bastet/distinfo   (contents, props changed)
  head/games/bastet/pkg-descr   (contents, props changed)
  head/games/bastet/pkg-plist   (contents, props changed)

Modified: head/games/bastet/Makefile
==============================================================================
--- head/games/bastet/Makefile	Sun Aug  5 08:11:25 2012	(r302088)
+++ head/games/bastet/Makefile	Sun Aug  5 08:13:22 2012	(r302089)
@@ -6,8 +6,7 @@
 #
 
 PORTNAME=	bastet
-PORTVERSION=	0.41
-PORTREVISION=	1
+PORTVERSION=	0.43
 CATEGORIES=	games
 MASTER_SITES=	http://fph.altervista.org/prog/files/
 EXTRACT_SUFX=	.tgz
@@ -15,7 +14,34 @@ EXTRACT_SUFX=	.tgz
 MAINTAINER=	ports@FreeBSD.org
 COMMENT=	An ncurses Tetris clone which is harder than every other Tetris
 
+LICENSE=	GPLv3 # (or later)
+
+LIB_DEPENDS=	boost_program_options:${PORTSDIR}/devel/boost-libs
+
+USE_NCURSES=	yes
 USE_GMAKE=	yes
-MAKE_ENV=	DATADIR=${DATADIR}
+MAKE_JOBS_SAFE=	yes
+
+CPPFLAGS+=	-I${LOCALBASE}/include
+LDFLAGS+=	-L${LOCALBASE}/lib
+
+MAN6=		bastet.6
+PLIST_FILES=	bin/bastet
+
+.include <bsd.port.pre.mk>
+
+.if ${ARCH} != "i386"
+USE_GCC=	4.6+
+.endif
+
+post-patch:
+	@${REINPLACE_CMD} -e \
+		's|^CXXFLAGS+=-D|CXXFLAGS+=$$(CPPFLAGS) -D| ; \
+		 s|$$(CXX) -MM|$$(CXX) $$(CPPFLAGS) -MM| ; \
+		 s| -ggdb | |' ${WRKSRC}/Makefile
+
+do-install:
+	${INSTALL_PROGRAM} ${WRKSRC}/bastet ${PREFIX}/bin
+	${INSTALL_MAN} ${WRKSRC}/bastet.6 ${MAN6PREFIX}/man/man6
 
-.include <bsd.port.mk>
+.include <bsd.port.post.mk>

Modified: head/games/bastet/distinfo
==============================================================================
--- head/games/bastet/distinfo	Sun Aug  5 08:11:25 2012	(r302088)
+++ head/games/bastet/distinfo	Sun Aug  5 08:13:22 2012	(r302089)
@@ -1,2 +1,2 @@
-SHA256 (bastet-0.41.tgz) = 32e58210499d4c525a2b2c82e08e1bbbc53de455b74922c94ac25a1fb7e17463
-SIZE (bastet-0.41.tgz) = 24195
+SHA256 (bastet-0.43.tgz) = e208c68684cc9b818a08b0d3f5f1e7ef381b1e4d8bc801a90b5ff6a8f00d8168
+SIZE (bastet-0.43.tgz) = 29115

Modified: head/games/bastet/pkg-descr
==============================================================================
--- head/games/bastet/pkg-descr	Sun Aug  5 08:11:25 2012	(r302088)
+++ head/games/bastet/pkg-descr	Sun Aug  5 08:13:22 2012	(r302089)
@@ -1,15 +1,13 @@
-Have you ever thought Tetris(R) was evil because it wouldn't send
-you that straight "I" brick you needed in order to clear four rows
-at the same time? 
+Have you ever thought Tetris(R) was evil because it wouldn't send you
+that straight "I" brick you needed in order to clear four rows at the
+same time? 
 
-Well Tetris(R) probably isn't evil, but Bastet
-certainly is. Bastet stands for "bastard tetris", and is a
-simple ncurses-based Tetris(R) clone for Linux. Unlike normal
-Tetris(R), however, Bastet does not choose your next brick at random.
-Instead, Bastet uses a special algorithm designed to choose the
-worst brick possible. 
+Well Tetris(R) probably isn't evil, but Bastet certainly is. Bastet
+stands for "bastard tetris", and is a simple ncurses-based Tetris(R)
+clone for Linux. Unlike normal Tetris(R), however, Bastet does not
+choose your next brick at random. Instead, Bastet uses a special
+algorithm designed to choose the worst brick possible. 
 
-As you can imagine, playing Bastet can be a
-very frustrating experience!
+As you can imagine, playing Bastet can be a very frustrating experience!
 
-WWW: http://fph.altervista.org/prog/bastet.shtml
+WWW: http://fph.altervista.org/prog/bastet.html

Modified: head/games/bastet/pkg-plist
==============================================================================
--- head/games/bastet/pkg-plist	Sun Aug  5 08:11:25 2012	(r302088)
+++ head/games/bastet/pkg-plist	Sun Aug  5 08:13:22 2012	(r302089)
@@ -1,3 +0,0 @@
-bin/bastet
-%%DATADIR%%/bastet.scores
-@dirrm %%DATADIR%%
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"